Home / API Documentation / Operations center / Advanced / View the depth inspection task details

View the depth inspection task details

Requests

HTTP request

GET /apis/testing.alauda.io/v1alpha1/namespaces/{namespace}/functiontests/{name}

read the specified FunctionTest

Path parameters

Name Type Required Description
name string Truename of the FunctionTest
namespace string Trueobject name and auth scope, such as for teams and projects

Query parameters

Name Type Required Description
resourceVersion string FalseWhen specified: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.
pretty string FalseIf 'true', then the output is pretty printed.

Responses

Content-Type application/json, application/yaml

Status code: 200

OK

Sample response

FunctionTest is the Schema for the functiontests API

{
   "apiVersion": "testing.alauda.io/v1alpha1",
   "kind": "FunctionTest",
   "metadata": {
     "annotations": {
       "cpaas.io/display-name": "check example"
     },
     "creationTimestamp": "2021-06-08T10:02:11Z",
     "generation": 8,
     "name": "check-example",
     "namespace": "cpaas-system",
     "resourceVersion": "48604602",
     "selfLink": "/apis/testing.alauda.io/v1alpha1/namespaces/cpaas-system/functiontests/check-example",
     "uid": "e6bc4a4f-c050-451d-9375-1a3de04c6f58"
   },
   "spec": {
     "environment": {
       "businessCluster": "global"
     },
     "failedJobHistoryLimit": 2,
     "functions": [
       "*"
     ],
     "schedule": "1 * * * *",
     "successfulJobHistoryLimit": 1,
     "suspend": false,
     "type": "check"
   },
   "status": {
     "estimatedCpu": 300,
     "estimatedMemory": 300,
     "estimatedTime": 71,
     "lastScheduleResult": "failed",
     "lastScheduleTime": "2021-06-16T09:00:23Z"
   }
 }

Parameters

Name Type Description
apiVersion string See common parameters
kind string See common parameters
metadata object See common parameters
spec object FunctionTestSpec defines the desired state of FunctionTest
Path: spec
spec.environment object Testing target's environment
Path: spec.environment
environment.businessCluster string Target business cluster's name.
Path: spec.environment.businessCluster
spec.failedJobHistoryLimit integer (int32) The number of failed finished jobs to retain. Value must be non-negative integer. Defaults to 1.
Path: spec.failedJobHistoryLimit
spec.functions array Specify the target functions intend to test.
Path: spec.functions
spec.functions[] string
Path: spec.functions[]
spec.schedule string The schedule in Cron format, see https://en.wikipedia.org/wiki/Cron.
Path: spec.schedule
spec.successfulJobHistoryLimit integer (int32) The number of successful finished jobs to retain. Value must be non-negative integer. Defaults to 3.
Path: spec.successfulJobHistoryLimit
spec.suspend boolean This flag tells the controller to suspend subsequent executions, it does not apply to already started executions. Defaults to false.
Path: spec.suspend
spec.type string Specify the test's type, check or test.
Path: spec.type
status object FunctionTestStatus defines the observed state of FunctionTest
Path: status
status.estimatedCpu integer (int64) Information how many cpu the test created workload will take, unit is m.
Path: status.estimatedCpu
status.estimatedMemory integer (int64) Information how many memory the test created workload will take, unit is Mi.
Path: status.estimatedMemory
status.estimatedTime integer (int64) Information how the test will take to run.
Path: status.estimatedTime
status.lastScheduleResult string Information about the last scheduled job's result
Path: status.lastScheduleResult
status.lastScheduleTime string (date-time) Information when was the last time the job was successfully scheduled.
Path: status.lastScheduleTime

Other status codes

Status code: 401

Unauthorized